Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem("HRStocks")> _
Public Class HRGroups
    Inherits BaseObject
    Private _ShortName As String
    Private _Description As String
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    <VisibleInListView(False)> _
    <Association("HRPerson-HRGroups", GetType(HRPerson))> _
    ReadOnly Property HRPerson() As XPCollection(Of HRPerson)
        Get
            Return GetCollection(Of HRPerson)("HRPerson")
        End Get
    End Property
    Property ShortName() As String
        Get
            Return _ShortName
        End Get
        Set(ByVal value As String)
            SetPropertyValue("ShortName", _ShortName, value)
        End Set
    End Property
    Property Description() As String
        Get
            Return _Description
        End Get
        Set(ByVal value As String)
            SetPropertyValue("Description", _Description, value)
        End Set
    End Property
End Class
